org.apache.ignite.compute.gridify.aop.aspectj

## Class GridifySetToValueAspectJAspect

- java.lang.Object
- - org.apache.ignite.compute.gridify.aop.GridifySetToValueAbstractAspect
  - - org.apache.ignite.compute.gridify.aop.aspectj.GridifySetToValueAspectJAspect

-     public class GridifySetToValueAspectJAspect
      extends GridifySetToValueAbstractAspect

  AspectJ aspect that cross-cuts on all methods grid-enabled with `GridifySetToValue` annotation and potentially executes them on remote node.

  See `GridifySetToValue` documentation for more information about execution of `gridified` methods.

  See Also:
    `GridifySetToValue`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridifySetToValueAspectJAspect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `gridify(org.aspectj.lang.ProceedingJoinPoint joinPnt)` Aspect implementation which executes grid-enabled methods on remote nodes.

    - ### Methods inherited from class org.apache.ignite.compute.gridify.aop.GridifySetToValueAbstractAspect

      `checkIsSplitToJobsAllowed, checkMethodSignature, execute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridifySetToValueAspectJAspect

          public GridifySetToValueAspectJAspect()

  - ### Method Detail

    - #### gridify

          public Object gridify(org.aspectj.lang.ProceedingJoinPoint joinPnt)
                         throws Throwable

      Aspect implementation which executes grid-enabled methods on remote nodes.
      Parameters:
        `joinPnt` - Join point provided by AspectJ AOP.
      Returns:
        Method execution result.
      Throws:
        `Throwable` - If execution failed.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022